#!/usr/bin/env python
from gimpfu import *
#Distinct Types: object,int,boolean,string,audiofragment,filepath,seed,double,path,uri,format,curve,pointer,color,enum
#Type Lines: name: curve type: curve
#name: cpn-1-keep type: boolean default: False label:[color-model {rgb} : rgb-label, color-model {hsl} : hsl-label] rgb-label:Keep red component hsl-label:Keep hue component
#name: input-format type: format
#name: space-name type: string  default: sRGB
#name: d type: path
#name: subdivisions type: int default: 1 minimum: 0 maximum: 15 ui-minimum: 0 ui-maximum: 15 ui-gamma: 1.00 ui-step-small: 1 ui-step-big: 5
#name: value type: double default: 0.00 minimum: -inf maximum: +inf ui-minimum: -1.00 ui-maximum: 1.00 ui-gamma: 1.00 ui-step-small: 0.00 ui-step-big: 0.10 ui-digits: 3
#name: seed type: seed
#name: audio type: audiofragment
#name: background-color type: color default: rgba(0.000, 0.000, 0.000, 0.000) sensitive:! keep_surroundings role:color-secondary
#name: buffer type: object
#name: color-model type: enum
#name: path type: filepath  default:
#name: uri type: uri  default:
#name: buffer type: pointer
#---------------------------------------------------------------------------------------------
def gegl_absolute(image, layer, ):

    gegl_graph_string="gegl:absolute " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_absolute",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-absolute...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_absolute)

#---------------------------------------------------------------------------------------------
def gegl_antialias(image, layer, ):

    gegl_graph_string="gegl:antialias " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_antialias",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-antialias...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_antialias)

#---------------------------------------------------------------------------------------------
def gegl_bilateral_filter(image, layer, blur_radius,edge_preservation):

    gegl_graph_string="gegl:bilateral-filter blur-radius=%f edge-preservation=%f " % (blur_radius,edge_preservation)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_bilateral_filter",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-bilateral-filter...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "blur_radius", "blur-radius:", 4.0, (0.0, 100.0, 0.1)),
    (PF_SPINNER, "edge_preservation", "edge-preservation:", 8.0, (0.0, 100.0, 0.1))
    ],
    [],
    gegl_bilateral_filter)

#---------------------------------------------------------------------------------------------
def gegl_bloom(image, layer, threshold,softness,radius,strength,limit_exposure):

    gegl_graph_string="gegl:bloom threshold=%f softness=%f radius=%f strength=%f limit-exposure=%d " % (threshold,softness,radius,strength,limit_exposure)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_bloom",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-bloom...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "threshold", "threshold:", 50.0, (0.0, 100.0, 0.1)),
    (PF_SPINNER, "softness", "softness:", 25.0, (0.0, 100.0, 0.1)),
    (PF_SPINNER, "radius", "radius:", 10.0, (0.0, 100.0, 0.1)),
    (PF_SPINNER, "strength", "strength:", 50.0, (0.0, 100.0, 0.1)),
    (PF_TOGGLE, "limit_exposure","limit-exposure:",True)
    ],
    [],
    gegl_bloom)

#---------------------------------------------------------------------------------------------
def gegl_box_blur(image, layer, radius):

    gegl_graph_string="gegl:box-blur radius=%d " % (radius)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_box_blur",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-box-blur...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "radius", "radius:", 4, (0, 100, 1))
    ],
    [],
    gegl_box_blur)

#---------------------------------------------------------------------------------------------
def gegl_brightness_contrast(image, layer, brightness):

    gegl_graph_string="gegl:brightness-contrast brightness=%f " % (brightness)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_brightness_contrast",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-brightness-contrast...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "brightness", "brightness:", 0.0, (-1.0, 1.0, 0.1))
    ],
    [],
    gegl_brightness_contrast)

#---------------------------------------------------------------------------------------------
def gegl_c2g(image, layer, radius,samples,iterations,enhance_shadows):

    gegl_graph_string="gegl:c2g radius=%d samples=%d iterations=%d enhance-shadows=%d " % (radius,samples,iterations,enhance_shadows)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_c2g",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-c2g...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "radius", "radius:", 300, (2, 1000, 1)),
    (PF_SPINNER, "samples", "samples:", 4, (3, 17, 1)),
    (PF_SPINNER, "iterations", "iterations:", 10, (1, 30, 1)),
    (PF_TOGGLE, "enhance_shadows","enhance-shadows:",True)
    ],
    [],
    gegl_c2g)

#---------------------------------------------------------------------------------------------
def gegl_cartoon(image, layer, mask_radius,pct_black):

    gegl_graph_string="gegl:cartoon mask-radius=%f pct-black=%f " % (mask_radius,pct_black)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_cartoon",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-cartoon...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "mask_radius", "mask-radius:", 7.0, (0.0, 50.0, 0.1)),
    (PF_SPINNER, "pct_black", "pct-black:", 0.2, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_cartoon)

#---------------------------------------------------------------------------------------------
def gegl_channel_mixer(image, layer, preserve_luminosity,rr_gain,rg_gain,rb_gain,gr_gain,gg_gain,gb_gain,br_gain,bg_gain,bb_gain):

    gegl_graph_string="gegl:channel-mixer preserve-luminosity=%d rr-gain=%f rg-gain=%f rb-gain=%f gr-gain=%f gg-gain=%f gb-gain=%f br-gain=%f bg-gain=%f bb-gain=%f " % (preserve_luminosity,rr_gain,rg_gain,rb_gain,gr_gain,gg_gain,gb_gain,br_gain,bg_gain,bb_gain)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_channel_mixer",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-channel-mixer...",             #Menu path
    "*", 
    [
    (PF_TOGGLE, "preserve_luminosity","preserve-luminosity:",True),
    (PF_SPINNER, "rr_gain", "rr-gain:", 1.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "rg_gain", "rg-gain:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "rb_gain", "rb-gain:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "gr_gain", "gr-gain:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "gg_gain", "gg-gain:", 1.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "gb_gain", "gb-gain:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "br_gain", "br-gain:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "bg_gain", "bg-gain:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "bb_gain", "bb-gain:", 1.0, (-2.0, 2.0, 0.1))
    ],
    [],
    gegl_channel_mixer)

#---------------------------------------------------------------------------------------------
def gegl_clone(image, layer, ref):

    gegl_graph_string="gegl:clone ref=%s " % (ref)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_clone",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-clone...",             #Menu path
    "*", 
    [
    (PF_STRING, "ref", "ref:", "ID")
    ],
    [],
    gegl_clone)

#---------------------------------------------------------------------------------------------
def gegl_color_assimilation_grid(image, layer, grid_size,saturation,angle,line_thickness):

    gegl_graph_string="gegl:color-assimilation-grid grid-size=%f saturation=%f angle=%f line-thickness=%f " % (grid_size,saturation,angle,line_thickness)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_color_assimilation_grid",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-color-assimilation-grid...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "grid_size", "grid-size:", 23.0, (0.0, 40.0, 0.1)),
    (PF_SPINNER, "saturation", "saturation:", 2.5, (0.0, 10.0, 0.1)),
    (PF_SPINNER, "angle", "angle:", 45.0, (-180.0, 180.0, 0.1)),
    (PF_SPINNER, "line_thickness", "line-thickness:", 0.4, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_color_assimilation_grid)

#---------------------------------------------------------------------------------------------
def gegl_color_enhance(image, layer, ):

    gegl_graph_string="gegl:color-enhance " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_color_enhance",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-color-enhance...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_color_enhance)

#---------------------------------------------------------------------------------------------
def gegl_color_temperature(image, layer, original_temperature,intended_temperature):

    gegl_graph_string="gegl:color-temperature original-temperature=%f intended-temperature=%f " % (original_temperature,intended_temperature)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_color_temperature",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-color-temperature...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "original_temperature", "original-temperature:", 6500.0, (1000.0, 12000.0, 0.1)),
    (PF_SPINNER, "intended_temperature", "intended-temperature:", 6500.0, (1000.0, 12000.0, 0.1))
    ],
    [],
    gegl_color_temperature)

#---------------------------------------------------------------------------------------------
def gegl_difference_of_gaussians(image, layer, radius1,radius2):

    gegl_graph_string="gegl:difference-of-gaussians radius1=%f radius2=%f " % (radius1,radius2)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_difference_of_gaussians",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-difference-of-gaussians...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "radius1", "radius1:", 1.0, (0.0, 10.0, 0.1)),
    (PF_SPINNER, "radius2", "radius2:", 2.0, (0.0, 20.0, 0.1))
    ],
    [],
    gegl_difference_of_gaussians)

#---------------------------------------------------------------------------------------------
def gegl_diffraction_patterns(image, layer, red_frequency,green_frequency,blue_frequency,red_contours,green_contours,blue_contours,red_sedges,green_sedges,blue_sedges,brightness,scattering,polarization,width,height):

    gegl_graph_string="gegl:diffraction-patterns red-frequency=%f green-frequency=%f blue-frequency=%f red-contours=%f green-contours=%f blue-contours=%f red-sedges=%f green-sedges=%f blue-sedges=%f brightness=%f scattering=%f polarization=%f width=%d height=%d " % (red_frequency,green_frequency,blue_frequency,red_contours,green_contours,blue_contours,red_sedges,green_sedges,blue_sedges,brightness,scattering,polarization,width,height)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_diffraction_patterns",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-diffraction-patterns...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "red_frequency", "red-frequency:", 0.81, (0.0, 20.0, 0.1)),
    (PF_SPINNER, "green_frequency", "green-frequency:", 1.22, (0.0, 20.0, 0.1)),
    (PF_SPINNER, "blue_frequency", "blue-frequency:", 1.12, (0.0, 20.0, 0.1)),
    (PF_SPINNER, "red_contours", "red-contours:", 0.82, (0.0, 10.0, 0.1)),
    (PF_SPINNER, "green_contours", "green-contours:", 0.82, (0.0, 10.0, 0.1)),
    (PF_SPINNER, "blue_contours", "blue-contours:", 0.97, (0.0, 10.0, 0.1)),
    (PF_SPINNER, "red_sedges", "red-sedges:", 0.61, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "green_sedges", "green-sedges:", 0.68, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "blue_sedges", "blue-sedges:", 0.64, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "brightness", "brightness:", 0.07, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "scattering", "scattering:", 37.13, (0.0, 100.0, 0.1)),
    (PF_SPINNER, "polarization", "polarization:", -0.47, (-1.0, 1.0, 0.1)),
    (PF_SPINNER, "width", "width:", 200, (0, 4096, 1)),
    (PF_SPINNER, "height", "height:", 200, (0, 4096, 1))
    ],
    [],
    gegl_diffraction_patterns)

#---------------------------------------------------------------------------------------------
def gegl_display(image, layer, window_title):

    gegl_graph_string="gegl:display window-title=%s " % (window_title)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_display",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-display...",             #Menu path
    "*", 
    [
    (PF_STRING, "window_title", "window-title:", "window_title")
    ],
    [],
    gegl_display)

#---------------------------------------------------------------------------------------------
def gegl_domain_transform(image, layer, n_iterations,spatial_factor,edge_preservation):

    gegl_graph_string="gegl:domain-transform n-iterations=%d spatial-factor=%f edge-preservation=%f " % (n_iterations,spatial_factor,edge_preservation)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_domain_transform",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-domain-transform...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "n_iterations", "n-iterations:", 3, (1, 5, 1)),
    (PF_SPINNER, "spatial_factor", "spatial-factor:", 30.0, (0.0, 1000.0, 0.1)),
    (PF_SPINNER, "edge_preservation", "edge-preservation:", 0.8, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_domain_transform)

#---------------------------------------------------------------------------------------------
def gegl_edge_laplace(image, layer, ):

    gegl_graph_string="gegl:edge-laplace " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_edge_laplace",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-edge-laplace...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_edge_laplace)

#---------------------------------------------------------------------------------------------
def gegl_edge_neon(image, layer, radius,amount):

    gegl_graph_string="gegl:edge-neon radius=%f amount=%f " % (radius,amount)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_edge_neon",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-edge-neon...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "radius", "radius:", 5.0, (0.0, 50.0, 0.1)),
    (PF_SPINNER, "amount", "amount:", 0.0, (0.0, 3.0, 0.1))
    ],
    [],
    gegl_edge_neon)

#---------------------------------------------------------------------------------------------
def gegl_edge_sobel(image, layer, horizontal,vertical,keep_sign):

    gegl_graph_string="gegl:edge-sobel horizontal=%d vertical=%d keep-sign=%d " % (horizontal,vertical,keep_sign)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_edge_sobel",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-edge-sobel...",             #Menu path
    "*", 
    [
    (PF_TOGGLE, "horizontal","horizontal:",True),
    (PF_TOGGLE, "vertical","vertical:",True),
    (PF_TOGGLE, "keep_sign","keep-sign:",True)
    ],
    [],
    gegl_edge_sobel)

#---------------------------------------------------------------------------------------------
def gegl_engrave(image, layer, row_height,limit):

    gegl_graph_string="gegl:engrave row-height=%d limit=%d " % (row_height,limit)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_engrave",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-engrave...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "row_height", "row-height:", 10, (2, 16, 1)),
    (PF_TOGGLE, "limit","limit:",True)
    ],
    [],
    gegl_engrave)

#---------------------------------------------------------------------------------------------
def gegl_exposure(image, layer, black_level,exposure):

    gegl_graph_string="gegl:exposure black-level=%f exposure=%f " % (black_level,exposure)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_exposure",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-exposure...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "black_level", "black-level:", 0.0, (-0.1, 0.1, 0.1)),
    (PF_SPINNER, "exposure", "exposure:", 0.0, (-10.0, 10.0, 0.1))
    ],
    [],
    gegl_exposure)

#---------------------------------------------------------------------------------------------
def gegl_fattal02(image, layer, alpha,beta,saturation,noise):

    gegl_graph_string="gegl:fattal02 alpha=%f beta=%f saturation=%f noise=%f " % (alpha,beta,saturation,noise)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_fattal02",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-fattal02...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "alpha", "alpha:", 1.0, (0.0, 2.0, 0.1)),
    (PF_SPINNER, "beta", "beta:", 0.9, (0.1, 2.0, 0.1)),
    (PF_SPINNER, "saturation", "saturation:", 0.8, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "noise", "noise:", 0.0, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_fattal02)

#---------------------------------------------------------------------------------------------
def gegl_gegl(image, layer, string,error):

    gegl_graph_string="gegl:gegl string=%s error=%s " % (string,error)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_gegl",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-gegl...",             #Menu path
    "*", 
    [
    (PF_STRING, "string", "string:", "#"),
    (PF_STRING, "error", "error:", "error:true")
    ],
    [],
    gegl_gegl)

#---------------------------------------------------------------------------------------------
def gegl_gray(image, layer, ):

    gegl_graph_string="gegl:gray " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_gray",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-gray...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_gray)

#---------------------------------------------------------------------------------------------
def gegl_high_pass(image, layer, std_dev,contrast):

    gegl_graph_string="gegl:high-pass std-dev=%f contrast=%f " % (std_dev,contrast)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_high_pass",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-high-pass...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "std_dev", "std-dev:", 4.0, (0.0, 1000.0, 0.1)),
    (PF_SPINNER, "contrast", "contrast:", 1.0, (0.0, 5.0, 0.1))
    ],
    [],
    gegl_high_pass)

#---------------------------------------------------------------------------------------------
def gegl_hue_chroma(image, layer, hue,chroma,lightness):

    gegl_graph_string="gegl:hue-chroma hue=%f chroma=%f lightness=%f " % (hue,chroma,lightness)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_hue_chroma",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-hue-chroma...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "hue", "hue:", 0.0, (-180.0, 180.0, 0.1)),
    (PF_SPINNER, "chroma", "chroma:", 0.0, (-100.0, 100.0, 0.1)),
    (PF_SPINNER, "lightness", "lightness:", 0.0, (-100.0, 100.0, 0.1))
    ],
    [],
    gegl_hue_chroma)

#---------------------------------------------------------------------------------------------
def gegl_invert_gamma(image, layer, ):

    gegl_graph_string="gegl:invert-gamma " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_invert_gamma",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-invert-gamma...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_invert_gamma)

#---------------------------------------------------------------------------------------------
def gegl_invert_linear(image, layer, ):

    gegl_graph_string="gegl:invert-linear " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_invert_linear",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-invert-linear...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_invert_linear)

#---------------------------------------------------------------------------------------------
def gegl_json(image, layer, height,width):

    gegl_graph_string="gegl:json height=%f width=%f " % (height,width)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_json",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-json...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "height", "height:", 0.0, (-10000, 10000, 0.1)),
    (PF_SPINNER, "width", "width:", 0.0, (-10000, 10000, 0.1))
    ],
    [],
    gegl_json)

#---------------------------------------------------------------------------------------------
def gegl_lens_flare(image, layer, pos_x,pos_y):

    gegl_graph_string="gegl:lens-flare pos-x=%f pos-y=%f " % (pos_x,pos_y)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_lens_flare",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-lens-flare...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "pos_x", "pos-x:", 0.5, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "pos_y", "pos-y:", 0.5, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_lens_flare)

#---------------------------------------------------------------------------------------------
def gegl_levels(image, layer, in_low,in_high,out_low,out_high):

    gegl_graph_string="gegl:levels in-low=%f in-high=%f out-low=%f out-high=%f " % (in_low,in_high,out_low,out_high)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_levels",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-levels...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "in_low", "in-low:", 0.0, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "in_high", "in-high:", 1.0, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "out_low", "out-low:", 0.0, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "out_high", "out-high:", 1.0, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_levels)

#---------------------------------------------------------------------------------------------
def gegl_linear_sinusoid(image, layer, x_period,y_period,x_amplitude,y_amplitude,x_phase,y_phase,angle,offset,exponent,x_offset,y_offset,rotation,supersampling):

    gegl_graph_string="gegl:linear-sinusoid x-period=%f y-period=%f x-amplitude=%f y-amplitude=%f x-phase=%f y-phase=%f angle=%f offset=%f exponent=%f x-offset=%f y-offset=%f rotation=%f supersampling=%d " % (x_period,y_period,x_amplitude,y_amplitude,x_phase,y_phase,angle,offset,exponent,x_offset,y_offset,rotation,supersampling)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_linear_sinusoid",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-linear-sinusoid...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "x_period", "x-period:", 128.0, (0.0, 256.0, 0.1)),
    (PF_SPINNER, "y_period", "y-period:", 128.0, (0.0, 256.0, 0.1)),
    (PF_SPINNER, "x_amplitude", "x-amplitude:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "y_amplitude", "y-amplitude:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "x_phase", "x-phase:", 0.0, (-512.0, 512.0, 0.1)),
    (PF_SPINNER, "y_phase", "y-phase:", 0.0, (-512.0, 512.0, 0.1)),
    (PF_SPINNER, "angle", "angle:", 90.0, (0.0, 360.0, 0.1)),
    (PF_SPINNER, "offset", "offset:", 0.0, (-1.0, 1.0, 0.1)),
    (PF_SPINNER, "exponent", "exponent:", 0.0, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "x_offset", "x-offset:", 0.0, (-512.0, 512.0, 0.1)),
    (PF_SPINNER, "y_offset", "y-offset:", 0.0, (-512.0, 512.0, 0.1)),
    (PF_SPINNER, "rotation", "rotation:", 0.0, (0.0, 360.0, 0.1)),
    (PF_SPINNER, "supersampling", "supersampling:", 1, (1, 8, 1))
    ],
    [],
    gegl_linear_sinusoid)

#---------------------------------------------------------------------------------------------
def gegl_mantiuk06(image, layer, contrast,saturation,detail):

    gegl_graph_string="gegl:mantiuk06 contrast=%f saturation=%f detail=%f " % (contrast,saturation,detail)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_mantiuk06",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-mantiuk06...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "contrast", "contrast:", 0.1, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "saturation", "saturation:", 0.8, (0.0, 2.0, 0.1)),
    (PF_SPINNER, "detail", "detail:", 1.0, (1.0, 99.0, 0.1))
    ],
    [],
    gegl_mantiuk06)

#---------------------------------------------------------------------------------------------
def gegl_mblur(image, layer, dampness):

    gegl_graph_string="gegl:mblur dampness=%f " % (dampness)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_mblur",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-mblur...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "dampness", "dampness:", 0.95, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_mblur)

#---------------------------------------------------------------------------------------------
def gegl_mean_curvature_blur(image, layer, iterations):

    gegl_graph_string="gegl:mean-curvature-blur iterations=%d " % (iterations)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_mean_curvature_blur",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-mean-curvature-blur...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "iterations", "iterations:", 20, (0, 60, 1))
    ],
    [],
    gegl_mean_curvature_blur)

#---------------------------------------------------------------------------------------------
def gegl_mirrors(image, layer, m_angle,r_angle,n_segs,c_x,c_y,o_x,o_y,trim_x,trim_y,input_scale,output_scale,clip,warp):

    gegl_graph_string="gegl:mirrors m-angle=%f r-angle=%f n-segs=%d c-x=%f c-y=%f o-x=%f o-y=%f trim-x=%f trim-y=%f input-scale=%f output-scale=%f clip=%d warp=%d " % (m_angle,r_angle,n_segs,c_x,c_y,o_x,o_y,trim_x,trim_y,input_scale,output_scale,clip,warp)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_mirrors",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-mirrors...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "m_angle", "m-angle:", 0.0, (0.0, 180.0, 0.1)),
    (PF_SPINNER, "r_angle", "r-angle:", 0.0, (0.0, 360.0, 0.1)),
    (PF_SPINNER, "n_segs", "n-segs:", 6, (2, 24, 1)),
    (PF_SPINNER, "c_x", "c-x:", 0.5, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "c_y", "c-y:", 0.5, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "o_x", "o-x:", 0.0, (-1.0, 1.0, 0.1)),
    (PF_SPINNER, "o_y", "o-y:", 0.0, (-1.0, 1.0, 0.1)),
    (PF_SPINNER, "trim_x", "trim-x:", 0.0, (0.0, 0.5, 0.1)),
    (PF_SPINNER, "trim_y", "trim-y:", 0.0, (0.0, 0.5, 0.1)),
    (PF_SPINNER, "input_scale", "input-scale:", 100.0, (0.1, 100.0, 0.1)),
    (PF_SPINNER, "output_scale", "output-scale:", 1.0, (0.0, 100.0, 0.1)),
    (PF_TOGGLE, "clip","clip:",True),
    (PF_TOGGLE, "warp","warp:",True)
    ],
    [],
    gegl_mirrors)

#---------------------------------------------------------------------------------------------
def gegl_mono_mixer(image, layer, preserve_luminosity,red,green,blue):

    gegl_graph_string="gegl:mono-mixer preserve-luminosity=%d red=%f green=%f blue=%f " % (preserve_luminosity,red,green,blue)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_mono_mixer",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-mono-mixer...",             #Menu path
    "*", 
    [
    (PF_TOGGLE, "preserve_luminosity","preserve-luminosity:",True),
    (PF_SPINNER, "red", "red:", 0.33, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "green", "green:", 0.33, (-2.0, 2.0, 0.1)),
    (PF_SPINNER, "blue", "blue:", 0.33, (-2.0, 2.0, 0.1))
    ],
    [],
    gegl_mono_mixer)

#---------------------------------------------------------------------------------------------
def gegl_motion_blur_circular(image, layer, center_x,center_y,angle):

    gegl_graph_string="gegl:motion-blur-circular center-x=%f center-y=%f angle=%f " % (center_x,center_y,angle)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_motion_blur_circular",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-motion-blur-circular...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "center_x", "center-x:", 0.5, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "center_y", "center-y:", 0.5, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "angle", "angle:", 5.0, (0.0, 360.0, 0.1))
    ],
    [],
    gegl_motion_blur_circular)

#---------------------------------------------------------------------------------------------
def gegl_motion_blur_linear(image, layer, length,angle):

    gegl_graph_string="gegl:motion-blur-linear length=%f angle=%f " % (length,angle)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_motion_blur_linear",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-motion-blur-linear...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "length", "length:", 10.0, (0.0, 300.0, 0.1)),
    (PF_SPINNER, "angle", "angle:", 0.0, (-180.0, 180.0, 0.1))
    ],
    [],
    gegl_motion_blur_linear)

#---------------------------------------------------------------------------------------------
def gegl_motion_blur_zoom(image, layer, center_x,center_y,factor):

    gegl_graph_string="gegl:motion-blur-zoom center-x=%f center-y=%f factor=%f " % (center_x,center_y,factor)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_motion_blur_zoom",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-motion-blur-zoom...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "center_x", "center-x:", 0.5, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "center_y", "center-y:", 0.5, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "factor", "factor:", 0.1, (-0.5, 1.0, 0.1))
    ],
    [],
    gegl_motion_blur_zoom)

#---------------------------------------------------------------------------------------------
def gegl_noise_reduction(image, layer, iterations):

    gegl_graph_string="gegl:noise-reduction iterations=%d " % (iterations)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_noise_reduction",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-noise-reduction...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "iterations", "iterations:", 4, (0, 8, 1))
    ],
    [],
    gegl_noise_reduction)

#---------------------------------------------------------------------------------------------
def gegl_nop(image, layer, ):

    gegl_graph_string="gegl:nop " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_nop",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-nop...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_nop)

#---------------------------------------------------------------------------------------------
def gegl_open_buffer(image, layer, path):

    gegl_graph_string="gegl:open-buffer path=%s " % (path)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_open_buffer",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-open-buffer...",             #Menu path
    "*", 
    [
    (PF_STRING, "path", "path:", "")
    ],
    [],
    gegl_open_buffer)

#---------------------------------------------------------------------------------------------
def gegl_perlin_noise(image, layer, alpha,scale,zoff,n):

    gegl_graph_string="gegl:perlin-noise alpha=%f scale=%f zoff=%f n=%d " % (alpha,scale,zoff,n)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_perlin_noise",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-perlin-noise...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "alpha", "alpha:", 1.2, (0.0, 4.0, 0.1)),
    (PF_SPINNER, "scale", "scale:", 1.8, (0.0, 20.0, 0.1)),
    (PF_SPINNER, "zoff", "zoff:", -1.0, (-1.0, 8.0, 0.1)),
    (PF_SPINNER, "n", "n:", 3, (0, 20, 1))
    ],
    [],
    gegl_perlin_noise)

#---------------------------------------------------------------------------------------------
def gegl_photocopy(image, layer, mask_radius,sharpness,black,white):

    gegl_graph_string="gegl:photocopy mask-radius=%f sharpness=%f black=%f white=%f " % (mask_radius,sharpness,black,white)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_photocopy",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-photocopy...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "mask_radius", "mask-radius:", 10.0, (0.0, 50.0, 0.1)),
    (PF_SPINNER, "sharpness", "sharpness:", 0.5, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "black", "black:", 0.2, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "white", "white:", 0.2, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_photocopy)

#---------------------------------------------------------------------------------------------
def gegl_polar_coordinates(image, layer, depth,angle,bw,top,polar,pole_x,pole_y,middle):

    gegl_graph_string="gegl:polar-coordinates depth=%f angle=%f bw=%d top=%d polar=%d pole-x=%d pole-y=%d middle=%d " % (depth,angle,bw,top,polar,pole_x,pole_y,middle)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_polar_coordinates",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-polar-coordinates...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "depth", "depth:", 100.0, (0.0, 100.0, 0.1)),
    (PF_SPINNER, "angle", "angle:", 0.0, (0.0, 360.0, 0.1)),
    (PF_TOGGLE, "bw","bw:",True),
    (PF_TOGGLE, "top","top:",True),
    (PF_TOGGLE, "polar","polar:",True),
    (PF_SPINNER, "pole_x", "pole-x:", 0, (0, 10000, 1)),
    (PF_SPINNER, "pole_y", "pole-y:", 0, (0, 10000, 1)),
    (PF_TOGGLE, "middle","middle:",True)
    ],
    [],
    gegl_polar_coordinates)

#---------------------------------------------------------------------------------------------
def gegl_posterize(image, layer, levels):

    gegl_graph_string="gegl:posterize levels=%d " % (levels)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_posterize",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-posterize...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "levels", "levels:", 8, (1, 64, 1))
    ],
    [],
    gegl_posterize)

#---------------------------------------------------------------------------------------------
def gegl_red_eye_removal(image, layer, threshold):

    gegl_graph_string="gegl:red-eye-removal threshold=%f " % (threshold)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_red_eye_removal",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-red-eye-removal...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "threshold", "threshold:", 0.4, (0.0, 0.8, 0.1))
    ],
    [],
    gegl_red_eye_removal)

#---------------------------------------------------------------------------------------------
def gegl_reinhard05(image, layer, brightness,chromatic,light):

    gegl_graph_string="gegl:reinhard05 brightness=%f chromatic=%f light=%f " % (brightness,chromatic,light)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_reinhard05",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-reinhard05...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "brightness", "brightness:", 0.0, (-100.0, 100.0, 0.1)),
    (PF_SPINNER, "chromatic", "chromatic:", 0.0, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "light", "light:", 1.0, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_reinhard05)

#---------------------------------------------------------------------------------------------
def gegl_rgb_clip(image, layer, clip_low,low_limit,clip_high,high_limit):

    gegl_graph_string="gegl:rgb-clip clip-low=%d low-limit=%f clip-high=%d high-limit=%f " % (clip_low,low_limit,clip_high,high_limit)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_rgb_clip",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-rgb-clip...",             #Menu path
    "*", 
    [
    (PF_TOGGLE, "clip_low","clip-low:",True),
    (PF_SPINNER, "low_limit", "low-limit:", 0.0, (-2.0, 0.0, 0.1)),
    (PF_TOGGLE, "clip_high","clip-high:",True),
    (PF_SPINNER, "high_limit", "high-limit:", 1.0, (1.0, 3.0, 0.1))
    ],
    [],
    gegl_rgb_clip)

#---------------------------------------------------------------------------------------------
def gegl_sdl2_display(image, layer, window_title):

    gegl_graph_string="gegl:sdl2-display window-title=%s " % (window_title)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_sdl2_display",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-sdl2-display...",             #Menu path
    "*", 
    [
    (PF_STRING, "window_title", "window-title:", "window_title")
    ],
    [],
    gegl_sdl2_display)

#---------------------------------------------------------------------------------------------
def gegl_sepia(image, layer, scale,srgb):

    gegl_graph_string="gegl:sepia scale=%f srgb=%d " % (scale,srgb)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_sepia",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-sepia...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "scale", "scale:", 1.0, (0.0, 1.0, 0.1)),
    (PF_TOGGLE, "srgb","srgb:",True)
    ],
    [],
    gegl_sepia)

#---------------------------------------------------------------------------------------------
def gegl_shadows_highlights(image, layer, shadows,highlights,whitepoint,radius,compress,shadows_ccorrect,highlights_ccorrect):

    gegl_graph_string="gegl:shadows-highlights shadows=%f highlights=%f whitepoint=%f radius=%f compress=%f shadows-ccorrect=%f highlights-ccorrect=%f " % (shadows,highlights,whitepoint,radius,compress,shadows_ccorrect,highlights_ccorrect)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_shadows_highlights",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-shadows-highlights...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "shadows", "shadows:", 0.0, (-100.0, 100.0, 0.1)),
    (PF_SPINNER, "highlights", "highlights:", 0.0, (-100.0, 100.0, 0.1)),
    (PF_SPINNER, "whitepoint", "whitepoint:", 0.0, (-10.0, 10.0, 0.1)),
    (PF_SPINNER, "radius", "radius:", 100.0, (0.1, 200.0, 0.1)),
    (PF_SPINNER, "compress", "compress:", 50.0, (0.0, 100.0, 0.1)),
    (PF_SPINNER, "shadows_ccorrect", "shadows-ccorrect:", 100.0, (0.0, 100.0, 0.1)),
    (PF_SPINNER, "highlights_ccorrect", "highlights-ccorrect:", 50.0, (0.0, 100.0, 0.1))
    ],
    [],
    gegl_shadows_highlights)

#---------------------------------------------------------------------------------------------
def gegl_slic(image, layer, cluster_size,compactness,iterations):

    gegl_graph_string="gegl:slic cluster-size=%d compactness=%d iterations=%d " % (cluster_size,compactness,iterations)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_slic",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-slic...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "cluster_size", "cluster-size:", 32, (2, 1024, 1)),
    (PF_SPINNER, "compactness", "compactness:", 20, (1, 40, 1)),
    (PF_SPINNER, "iterations", "iterations:", 1, (1, 15, 1))
    ],
    [],
    gegl_slic)

#---------------------------------------------------------------------------------------------
def gegl_snn_mean(image, layer, radius,pairs):

    gegl_graph_string="gegl:snn-mean radius=%d pairs=%d " % (radius,pairs)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_snn_mean",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-snn-mean...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "radius", "radius:", 8, (0, 40, 1)),
    (PF_SPINNER, "pairs", "pairs:", 2, (1, 2, 1))
    ],
    [],
    gegl_snn_mean)

#---------------------------------------------------------------------------------------------
def gegl_softglow(image, layer, glow_radius,brightness,sharpness):

    gegl_graph_string="gegl:softglow glow-radius=%f brightness=%f sharpness=%f " % (glow_radius,brightness,sharpness)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_softglow",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-softglow...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "glow_radius", "glow-radius:", 10.0, (1.0, 50.0, 0.1)),
    (PF_SPINNER, "brightness", "brightness:", 0.3, (0.0, 1.0, 0.1)),
    (PF_SPINNER, "sharpness", "sharpness:", 0.85, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_softglow)

#---------------------------------------------------------------------------------------------
def gegl_stress(image, layer, radius,samples,iterations,enhance_shadows):

    gegl_graph_string="gegl:stress radius=%d samples=%d iterations=%d enhance-shadows=%d " % (radius,samples,iterations,enhance_shadows)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_stress",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-stress...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "radius", "radius:", 300, (2, 1000, 1)),
    (PF_SPINNER, "samples", "samples:", 5, (3, 17, 1)),
    (PF_SPINNER, "iterations", "iterations:", 5, (1, 30, 1)),
    (PF_TOGGLE, "enhance_shadows","enhance-shadows:",True)
    ],
    [],
    gegl_stress)

#---------------------------------------------------------------------------------------------
def gegl_stretch_contrast(image, layer, keep_colors,perceptual):

    gegl_graph_string="gegl:stretch-contrast keep-colors=%d perceptual=%d " % (keep_colors,perceptual)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_stretch_contrast",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-stretch-contrast...",             #Menu path
    "*", 
    [
    (PF_TOGGLE, "keep_colors","keep-colors:",True),
    (PF_TOGGLE, "perceptual","perceptual:",True)
    ],
    [],
    gegl_stretch_contrast)

#---------------------------------------------------------------------------------------------
def gegl_stretch_contrast_hsv(image, layer, ):

    gegl_graph_string="gegl:stretch-contrast-hsv " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_stretch_contrast_hsv",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-stretch-contrast-hsv...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_stretch_contrast_hsv)

#---------------------------------------------------------------------------------------------
def gegl_svg_huerotate(image, layer, values):

    gegl_graph_string="gegl:svg-huerotate values=%s " % (values)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_svg_huerotate",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-svg-huerotate...",             #Menu path
    "*", 
    [
    (PF_STRING, "values", "values:", "")
    ],
    [],
    gegl_svg_huerotate)

#---------------------------------------------------------------------------------------------
def gegl_svg_luminancetoalpha(image, layer, ):

    gegl_graph_string="gegl:svg-luminancetoalpha " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_svg_luminancetoalpha",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-svg-luminancetoalpha...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_svg_luminancetoalpha)

#---------------------------------------------------------------------------------------------
def gegl_svg_matrix(image, layer, values):

    gegl_graph_string="gegl:svg-matrix values=%s " % (values)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_svg_matrix",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-svg-matrix...",             #Menu path
    "*", 
    [
    (PF_STRING, "values", "values:", "")
    ],
    [],
    gegl_svg_matrix)

#---------------------------------------------------------------------------------------------
def gegl_svg_saturate(image, layer, values):

    gegl_graph_string="gegl:svg-saturate values=%s " % (values)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_svg_saturate",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-svg-saturate...",             #Menu path
    "*", 
    [
    (PF_STRING, "values", "values:", "")
    ],
    [],
    gegl_svg_saturate)

#---------------------------------------------------------------------------------------------
def gegl_tile(image, layer, offset_x,offset_y):

    gegl_graph_string="gegl:tile offset-x=%d offset-y=%d " % (offset_x,offset_y)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_tile",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-tile...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "offset_x", "offset-x:", 0, (0, 1024, 1)),
    (PF_SPINNER, "offset_y", "offset-y:", 0, (0, 1024, 1))
    ],
    [],
    gegl_tile)

#---------------------------------------------------------------------------------------------
def gegl_tile_glass(image, layer, tile_width,tile_height):

    gegl_graph_string="gegl:tile-glass tile-width=%d tile-height=%d " % (tile_width,tile_height)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_tile_glass",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-tile-glass...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "tile_width", "tile-width:", 25, (5, 50, 1)),
    (PF_SPINNER, "tile_height", "tile-height:", 25, (5, 50, 1))
    ],
    [],
    gegl_tile_glass)

#---------------------------------------------------------------------------------------------
def gegl_tile_seamless(image, layer, ):

    gegl_graph_string="gegl:tile-seamless " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_tile_seamless",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-tile-seamless...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_tile_seamless)

#---------------------------------------------------------------------------------------------
def gegl_unpremultiply(image, layer, ):

    gegl_graph_string="gegl:unpremultiply " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_unpremultiply",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-unpremultiply...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_unpremultiply)

#---------------------------------------------------------------------------------------------
def gegl_unsharp_mask(image, layer, std_dev,scale,threshold):

    gegl_graph_string="gegl:unsharp-mask std-dev=%f scale=%f threshold=%f " % (std_dev,scale,threshold)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_unsharp_mask",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-unsharp-mask...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "std_dev", "std-dev:", 3.0, (0.0, 40.0, 0.1)),
    (PF_SPINNER, "scale", "scale:", 0.5, (0.0, 10.0, 0.1)),
    (PF_SPINNER, "threshold", "threshold:", 0.0, (0.0, 1.0, 0.1))
    ],
    [],
    gegl_unsharp_mask)

#---------------------------------------------------------------------------------------------
def gegl_value_invert(image, layer, ):

    gegl_graph_string="gegl:value-invert " % ()
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_value_invert",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-value-invert...",             #Menu path
    "*", 
    [

    ],
    [],
    gegl_value_invert)

#---------------------------------------------------------------------------------------------
def gegl_wavelet_blur(image, layer, radius):

    gegl_graph_string="gegl:wavelet-blur radius=%f " % (radius)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_wavelet_blur",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-wavelet-blur...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "radius", "radius:", 1.0, (0.0, 256.0, 0.1))
    ],
    [],
    gegl_wavelet_blur)

#---------------------------------------------------------------------------------------------
def gegl_whirl_pinch(image, layer, whirl,pinch,radius):

    gegl_graph_string="gegl:whirl-pinch whirl=%f pinch=%f radius=%f " % (whirl,pinch,radius)
    pdb.python_fu_dinasset_gegl_graph(image, layer, gegl_graph_string)
register(
    "python_fu_gegl_whirl_pinch",
    "GEGL Testing",
    "GEGL Testing",
    "Auto Author",
    "Auto Author",
    "Auto Generated Dated",
    "<Image>/Python-Fu/GEGL-Automated/gegl-whirl-pinch...",             #Menu path
    "*", 
    [
    (PF_SPINNER, "whirl", "whirl:", 90.0, (-720.0, 720.0, 0.1)),
    (PF_SPINNER, "pinch", "pinch:", 0.0, (-1.0, 1.0, 0.1)),
    (PF_SPINNER, "radius", "radius:", 1.0, (0.0, 2.0, 0.1))
    ],
    [],
    gegl_whirl_pinch)

main()
#72 code sections generated
